<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync: Référence de la classe src.usbDisk2.Available</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classsrc_1_1usbDisk2_1_1Available.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Fonctions membres publiques</a> &#124;
<a href="#pub-attribs">Attributs publics</a> &#124;
<a href="classsrc_1_1usbDisk2_1_1Available-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la classe src.usbDisk2.Available</div>  </div>
</div><!--header-->
<div class="contents">

<p>une classe pour représenter la collection des disques USB connectés  
 <a href="classsrc_1_1usbDisk2_1_1Available.html#details">Plus de détails...</a></p>
<div class="dynheader">
Graphe d'héritage de src.usbDisk2.Available:</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1usbDisk2_1_1Available__inherit__graph.png" border="0" usemap="#src_8usbDisk2_8Available_inherit__map" alt="Inheritance graph"/></div>
<map name="src_8usbDisk2_8Available_inherit__map" id="src_8usbDisk2_8Available_inherit__map">
<area shape="rect" title="une classe pour représenter la collection des disques USB connectés" alt="" coords="26,80,179,107"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1Available.html" title=" " alt="" coords="9,155,196,181"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html" title=" " alt="" coords="5,5,200,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">légende</a>]</span></center></div>
<div class="dynheader">
Graphe de collaboration de src.usbDisk2.Available:</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1usbDisk2_1_1Available__coll__graph.png" border="0" usemap="#src_8usbDisk2_8Available_coll__map" alt="Collaboration graph"/></div>
<map name="src_8usbDisk2_8Available_coll__map" id="src_8usbDisk2_8Available_coll__map">
<area shape="rect" title="une classe pour représenter la collection des disques USB connectés" alt="" coords="26,80,179,107"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html" title=" " alt="" coords="5,5,200,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">légende</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Fonctions membres publiques</h2></td></tr>
<tr class="memitem:a00e30f2fb43e63f05018772b64d092c9"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1Available.html#a00e30f2fb43e63f05018772b64d092c9">__init__</a> (self, <a class="el" href="classsrc_1_1usbDisk2_1_1Available.html#a506790138548ca49d081a2ec7fe81f93">access</a>=&quot;disk&quot;, diskClass=<a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html">uDisk2</a>)</td></tr>
<tr class="memdesc:a00e30f2fb43e63f05018772b64d092c9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Le constructeur.  <a href="classsrc_1_1usbDisk2_1_1Available.html#a00e30f2fb43e63f05018772b64d092c9">Plus de détails...</a><br /></td></tr>
<tr class="separator:a00e30f2fb43e63f05018772b64d092c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56191bb647d1e1c915304c9b64cac3e4"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1Available.html#a56191bb647d1e1c915304c9b64cac3e4">finishInit</a> (self)</td></tr>
<tr class="memdesc:a56191bb647d1e1c915304c9b64cac3e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fin de l'initialisation.  <a href="classsrc_1_1usbDisk2_1_1Available.html#a56191bb647d1e1c915304c9b64cac3e4">Plus de détails...</a><br /></td></tr>
<tr class="separator:a56191bb647d1e1c915304c9b64cac3e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac939942256255af8fff9a5e3ed280a5e"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1Available.html#ac939942256255af8fff9a5e3ed280a5e">mountFirstFats</a> (self)</td></tr>
<tr class="separator:ac939942256255af8fff9a5e3ed280a5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fa87c3ea01a46e13fbe091812cb17aa"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1Available.html#a2fa87c3ea01a46e13fbe091812cb17aa">__trunc__</a> (self)</td></tr>
<tr class="separator:a2fa87c3ea01a46e13fbe091812cb17aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e2604553359b5adffe7673dbdadabbb"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1Available.html#a4e2604553359b5adffe7673dbdadabbb">compare</a> (self, other)</td></tr>
<tr class="separator:a4e2604553359b5adffe7673dbdadabbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29feddf076015523b10ab6f9c7ba3dc9"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1Available.html#a29feddf076015523b10ab6f9c7ba3dc9">contains</a> (self, ud)</td></tr>
<tr class="memdesc:a29feddf076015523b10ab6f9c7ba3dc9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Permet de déterminer si un disque est dans la collection.  <a href="classsrc_1_1usbDisk2_1_1Available.html#a29feddf076015523b10ab6f9c7ba3dc9">Plus de détails...</a><br /></td></tr>
<tr class="separator:a29feddf076015523b10ab6f9c7ba3dc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5eb96b19f57e0125fce6a3c243d286c3"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1Available.html#a5eb96b19f57e0125fce6a3c243d286c3">disks</a> (self)</td></tr>
<tr class="memdesc:a5eb96b19f57e0125fce6a3c243d286c3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Récolte les enregistrements de niveau supérieur de self.targets.  <a href="classsrc_1_1usbDisk2_1_1Available.html#a5eb96b19f57e0125fce6a3c243d286c3">Plus de détails...</a><br /></td></tr>
<tr class="separator:a5eb96b19f57e0125fce6a3c243d286c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3145b86aaaae5a3bd6f786729d792192"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1Available.html#a3145b86aaaae5a3bd6f786729d792192">parts</a> (self, d)</td></tr>
<tr class="memdesc:a3145b86aaaae5a3bd6f786729d792192"><td class="mdescLeft">&#160;</td><td class="mdescRight">Récolte les partitions d'un disque.  <a href="classsrc_1_1usbDisk2_1_1Available.html#a3145b86aaaae5a3bd6f786729d792192">Plus de détails...</a><br /></td></tr>
<tr class="separator:a3145b86aaaae5a3bd6f786729d792192"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a3d407e0ff54b2646c0db730010fa30"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1Available.html#a6a3d407e0ff54b2646c0db730010fa30">disks_ud</a> (self)</td></tr>
<tr class="memdesc:a6a3d407e0ff54b2646c0db730010fa30"><td class="mdescLeft">&#160;</td><td class="mdescRight">Récolte les enregistrements de niveau supérieur de self.targets.  <a href="classsrc_1_1usbDisk2_1_1Available.html#a6a3d407e0ff54b2646c0db730010fa30">Plus de détails...</a><br /></td></tr>
<tr class="separator:a6a3d407e0ff54b2646c0db730010fa30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf09df31224571321936eb2c4ec8aaa7"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1Available.html#adf09df31224571321936eb2c4ec8aaa7">parts_ud</a> (self, d)</td></tr>
<tr class="memdesc:adf09df31224571321936eb2c4ec8aaa7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Récolte les partitions d'un disque.  <a href="classsrc_1_1usbDisk2_1_1Available.html#adf09df31224571321936eb2c4ec8aaa7">Plus de détails...</a><br /></td></tr>
<tr class="separator:adf09df31224571321936eb2c4ec8aaa7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fae76b069a7c94a1ce4f39dcd22507c"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1Available.html#a9fae76b069a7c94a1ce4f39dcd22507c">summary</a> (self)</td></tr>
<tr class="memdesc:a9fae76b069a7c94a1ce4f39dcd22507c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fournit une représentation imprimable d'un résumé  <a href="classsrc_1_1usbDisk2_1_1Available.html#a9fae76b069a7c94a1ce4f39dcd22507c">Plus de détails...</a><br /></td></tr>
<tr class="separator:a9fae76b069a7c94a1ce4f39dcd22507c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acce0e3933b5fff3e8e089b653735427c"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1Available.html#acce0e3933b5fff3e8e089b653735427c">__str__</a> (self)</td></tr>
<tr class="memdesc:acce0e3933b5fff3e8e089b653735427c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fournit une représentation imprimable.  <a href="classsrc_1_1usbDisk2_1_1Available.html#acce0e3933b5fff3e8e089b653735427c">Plus de détails...</a><br /></td></tr>
<tr class="separator:acce0e3933b5fff3e8e089b653735427c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69a7bfd6b06262d74f59d77d1cf8c932"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1Available.html#a69a7bfd6b06262d74f59d77d1cf8c932">__getitem__</a> (self, n)</td></tr>
<tr class="separator:a69a7bfd6b06262d74f59d77d1cf8c932"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1209bc98d5fc680ece4b3b85826a9970"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1Available.html#a1209bc98d5fc680ece4b3b85826a9970">__len__</a> (self)</td></tr>
<tr class="separator:a1209bc98d5fc680ece4b3b85826a9970"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6e386eb57b5db8de77ccfa1df79d9e9"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1Available.html#ae6e386eb57b5db8de77ccfa1df79d9e9">getFirstFats</a> (self)</td></tr>
<tr class="separator:ae6e386eb57b5db8de77ccfa1df79d9e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab9d1cbd2e3bbae20d7276d320d114f92"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1Available.html#ab9d1cbd2e3bbae20d7276d320d114f92">hasDev</a> (self, dev)</td></tr>
<tr class="separator:ab9d1cbd2e3bbae20d7276d320d114f92"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classsrc_1_1usbDisk2_1_1UDisksBackend"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classsrc_1_1usbDisk2_1_1UDisksBackend')"><img src="closed.png" alt="-"/>&#160;Fonctions membres publiques hérités de <a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html">src.usbDisk2.UDisksBackend</a></td></tr>
<tr class="memitem:aa0f2a8758b367e492a6dd45a5b2d76b1 inherit pub_methods_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#aa0f2a8758b367e492a6dd45a5b2d76b1">addHook</a> (self, signal, func)</td></tr>
<tr class="separator:aa0f2a8758b367e492a6dd45a5b2d76b1 inherit pub_methods_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88bae64fec3b1bded9d6c30e5f9d8cdd inherit pub_methods_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a88bae64fec3b1bded9d6c30e5f9d8cdd">retry_mount</a> (self, fs, timeout=5, retryDelay=0.3)</td></tr>
<tr class="separator:a88bae64fec3b1bded9d6c30e5f9d8cdd inherit pub_methods_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a256f370a58ed5033b6a0822193195f4a inherit pub_methods_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a256f370a58ed5033b6a0822193195f4a">detect_devices</a> (self)</td></tr>
<tr class="memdesc:a256f370a58ed5033b6a0822193195f4a inherit pub_methods_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="mdescLeft">&#160;</td><td class="mdescRight">Fait un inventaire des disques.  <a href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a256f370a58ed5033b6a0822193195f4a">Plus de détails...</a><br /></td></tr>
<tr class="separator:a256f370a58ed5033b6a0822193195f4a inherit pub_methods_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedd2fa479eee462059ad71ebbacfd62d inherit pub_methods_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#aedd2fa479eee462059ad71ebbacfd62d">objIsUsb</a> (self, obj)</td></tr>
<tr class="memdesc:aedd2fa479eee462059ad71ebbacfd62d inherit pub_methods_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="mdescLeft">&#160;</td><td class="mdescRight">détermine si un périphérique est de type USB  <a href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#aedd2fa479eee462059ad71ebbacfd62d">Plus de détails...</a><br /></td></tr>
<tr class="separator:aedd2fa479eee462059ad71ebbacfd62d inherit pub_methods_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Attributs publics</h2></td></tr>
<tr class="memitem:a506790138548ca49d081a2ec7fe81f93"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1Available.html#a506790138548ca49d081a2ec7fe81f93">access</a></td></tr>
<tr class="separator:a506790138548ca49d081a2ec7fe81f93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92db2421c2d36d7be7604c93571586d4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1Available.html#a92db2421c2d36d7be7604c93571586d4">firstFats</a></td></tr>
<tr class="separator:a92db2421c2d36d7be7604c93571586d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_classsrc_1_1usbDisk2_1_1UDisksBackend"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classsrc_1_1usbDisk2_1_1UDisksBackend')"><img src="closed.png" alt="-"/>&#160;Attributs publics hérités de <a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html">src.usbDisk2.UDisksBackend</a></td></tr>
<tr class="memitem:a14cb1c0251d039fad1d6e7b581f67274 inherit pub_attribs_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a14cb1c0251d039fad1d6e7b581f67274">install_thread</a></td></tr>
<tr class="separator:a14cb1c0251d039fad1d6e7b581f67274 inherit pub_attribs_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe286670c6eb19d2c7dd4be21f59ec9c inherit pub_attribs_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#abe286670c6eb19d2c7dd4be21f59ec9c">logger</a></td></tr>
<tr class="separator:abe286670c6eb19d2c7dd4be21f59ec9c inherit pub_attribs_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10a0c45f41280268bfb07b86005617ca inherit pub_attribs_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a10a0c45f41280268bfb07b86005617ca">diskClass</a></td></tr>
<tr class="memdesc:a10a0c45f41280268bfb07b86005617ca inherit pub_attribs_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="mdescLeft">&#160;</td><td class="mdescRight">self.targets est un dictionnaire des disques détectés les clés sont les paths et les contenus des instances de diskClass  <a href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a10a0c45f41280268bfb07b86005617ca">Plus de détails...</a><br /></td></tr>
<tr class="separator:a10a0c45f41280268bfb07b86005617ca inherit pub_attribs_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3fbecb7bcc1d55c1c2046ffd53d47411 inherit pub_attribs_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a3fbecb7bcc1d55c1c2046ffd53d47411">targets</a></td></tr>
<tr class="separator:a3fbecb7bcc1d55c1c2046ffd53d47411 inherit pub_attribs_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1639654ad7f2c983d019425be09a093a inherit pub_attribs_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a1639654ad7f2c983d019425be09a093a">modified</a></td></tr>
<tr class="memdesc:a1639654ad7f2c983d019425be09a093a inherit pub_attribs_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="mdescLeft">&#160;</td><td class="mdescRight">self.modified signifie une modification récente, à prendre en compte par une application au niveau utilisateur  <a href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a1639654ad7f2c983d019425be09a093a">Plus de détails...</a><br /></td></tr>
<tr class="separator:a1639654ad7f2c983d019425be09a093a inherit pub_attribs_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2216db504e9ef0fb0bd6fded1a90a897 inherit pub_attribs_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a2216db504e9ef0fb0bd6fded1a90a897">bus</a></td></tr>
<tr class="separator:a2216db504e9ef0fb0bd6fded1a90a897 inherit pub_attribs_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc6ccd9b12a51dccc1fbbb7e7468d39f inherit pub_attribs_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#abc6ccd9b12a51dccc1fbbb7e7468d39f">udisks</a></td></tr>
<tr class="separator:abc6ccd9b12a51dccc1fbbb7e7468d39f inherit pub_attribs_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ccdea24c9c226d0479e8c8b7bef84a1 inherit pub_attribs_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a3ccdea24c9c226d0479e8c8b7bef84a1">manager</a></td></tr>
<tr class="separator:a3ccdea24c9c226d0479e8c8b7bef84a1 inherit pub_attribs_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a931d5db608afa59df65219803f51d013 inherit pub_attribs_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a931d5db608afa59df65219803f51d013">cbHooks</a></td></tr>
<tr class="separator:a931d5db608afa59df65219803f51d013 inherit pub_attribs_classsrc_1_1usbDisk2_1_1UDisksBackend"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>une classe pour représenter la collection des disques USB connectés </p>
<p>les attributs publics sont&#160;:</p><ul>
<li><b>access</b> le type d'accès qu'on veut pour les items</li>
<li><b>targets</b> la collection de disques USB, organisée en un dictionnaire de les clés sont les disques, qui renvoient à un ensemble de partitions du disque</li>
<li><b>firstFats</b> une liste composée de la première partion DOS-FAT de chaque disque USB. </li>
</ul>

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00583">583</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>
</div><h2 class="groupheader">Documentation des constructeurs et destructeur</h2>
<a id="a00e30f2fb43e63f05018772b64d092c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00e30f2fb43e63f05018772b64d092c9">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbDisk2.Available.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>access</em> = <code>&quot;disk&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>diskClass</em> = <code><a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html">uDisk2</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Le constructeur. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">access</td><td>définit le type d'accès souhaité. Par défaut, c'est "disk" c'est à dire qu'on veut la liste des disques USB. Autres valeurs possibles "firstFat" pour les premières partitions vfat. </td></tr>
    <tr><td class="paramname">diskClass</td><td>la classe de disques à créer </td></tr>
  </table>
  </dd>
</dl>

<p>Réimplémentée à partir de <a class="el" href="classsrc_1_1usbDisk2_1_1UDisksBackend.html#a62c47b75e84fdc67f8d89aef2589f065">src.usbDisk2.UDisksBackend</a>.</p>

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00592">592</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Documentation des fonctions membres</h2>
<a id="a69a7bfd6b06262d74f59d77d1cf8c932"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69a7bfd6b06262d74f59d77d1cf8c932">&#9670;&nbsp;</a></span>__getitem__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbDisk2.Available.__getitem__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>n</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00708">708</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<a id="a1209bc98d5fc680ece4b3b85826a9970"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1209bc98d5fc680ece4b3b85826a9970">&#9670;&nbsp;</a></span>__len__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbDisk2.Available.__len__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00720">720</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<a id="acce0e3933b5fff3e8e089b653735427c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acce0e3933b5fff3e8e089b653735427c">&#9670;&nbsp;</a></span>__str__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbDisk2.Available.__str__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Fournit une représentation imprimable. </p>
<dl class="section return"><dt>Renvoie</dt><dd>une représentation imprimable de la collection </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00689">689</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1usbDisk2_1_1Available_acce0e3933b5fff3e8e089b653735427c_cgraph.png" border="0" usemap="#classsrc_1_1usbDisk2_1_1Available_acce0e3933b5fff3e8e089b653735427c_cgraph" alt=""/></div>
<map name="classsrc_1_1usbDisk2_1_1Available_acce0e3933b5fff3e8e089b653735427c_cgraph" id="classsrc_1_1usbDisk2_1_1Available_acce0e3933b5fff3e8e089b653735427c_cgraph">
<area shape="rect" title="Fournit une représentation imprimable." alt="" coords="5,23,161,65"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1Available.html#a5eb96b19f57e0125fce6a3c243d286c3" title="Récolte les enregistrements de niveau supérieur de self.targets." alt="" coords="209,5,396,32"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1Available.html#a3145b86aaaae5a3bd6f786729d792192" title="Récolte les partitions d&#39;un disque." alt="" coords="210,56,395,83"/>
</map>
</div>

</div>
</div>
<a id="a2fa87c3ea01a46e13fbe091812cb17aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2fa87c3ea01a46e13fbe091812cb17aa">&#9670;&nbsp;</a></span>__trunc__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbDisk2.Available.__trunc__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section return"><dt>Renvoie</dt><dd>le nombre de medias connectés </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00617">617</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<a id="a4e2604553359b5adffe7673dbdadabbb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e2604553359b5adffe7673dbdadabbb">&#9670;&nbsp;</a></span>compare()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbDisk2.Available.compare </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>other</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00626">626</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1usbDisk2_1_1Available_a4e2604553359b5adffe7673dbdadabbb_cgraph.png" border="0" usemap="#classsrc_1_1usbDisk2_1_1Available_a4e2604553359b5adffe7673dbdadabbb_cgraph" alt=""/></div>
<map name="classsrc_1_1usbDisk2_1_1Available_a4e2604553359b5adffe7673dbdadabbb_cgraph" id="classsrc_1_1usbDisk2_1_1Available_a4e2604553359b5adffe7673dbdadabbb_cgraph">
<area shape="rect" title=" " alt="" coords="5,31,212,57"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1Available.html#a9fae76b069a7c94a1ce4f39dcd22507c" title="Fournit une représentation imprimable d&#39;un résumé" alt="" coords="260,31,469,57"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1Available.html#a5eb96b19f57e0125fce6a3c243d286c3" title="Récolte les enregistrements de niveau supérieur de self.targets." alt="" coords="517,5,704,32"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1Available.html#a3145b86aaaae5a3bd6f786729d792192" title="Récolte les partitions d&#39;un disque." alt="" coords="518,56,703,83"/>
</map>
</div>

</div>
</div>
<a id="a29feddf076015523b10ab6f9c7ba3dc9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29feddf076015523b10ab6f9c7ba3dc9">&#9670;&nbsp;</a></span>contains()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbDisk2.Available.contains </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>ud</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Permet de déterminer si un disque est dans la collection. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">ud</td><td>une instance de uDisk </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>vrai si le uDisk ud est dans la collection </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00635">635</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<a id="a5eb96b19f57e0125fce6a3c243d286c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5eb96b19f57e0125fce6a3c243d286c3">&#9670;&nbsp;</a></span>disks()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbDisk2.Available.disks </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Récolte les enregistrements de niveau supérieur de self.targets. </p>
<dl class="section return"><dt>Renvoie</dt><dd>la liste des chemins vers les disque USB détectés </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00642">642</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1usbDisk2_1_1Available_a5eb96b19f57e0125fce6a3c243d286c3_icgraph.png" border="0" usemap="#classsrc_1_1usbDisk2_1_1Available_a5eb96b19f57e0125fce6a3c243d286c3_icgraph" alt=""/></div>
<map name="classsrc_1_1usbDisk2_1_1Available_a5eb96b19f57e0125fce6a3c243d286c3_icgraph" id="classsrc_1_1usbDisk2_1_1Available_a5eb96b19f57e0125fce6a3c243d286c3_icgraph">
<area shape="rect" title="Récolte les enregistrements de niveau supérieur de self.targets." alt="" coords="517,42,704,69"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1Available.html#acce0e3933b5fff3e8e089b653735427c" title="Fournit une représentation imprimable." alt="" coords="287,5,443,47"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1Available.html#a9fae76b069a7c94a1ce4f39dcd22507c" title="Fournit une représentation imprimable d&#39;un résumé" alt="" coords="260,71,469,98"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1Available.html#a4e2604553359b5adffe7673dbdadabbb" title=" " alt="" coords="5,71,212,98"/>
</map>
</div>

</div>
</div>
<a id="a6a3d407e0ff54b2646c0db730010fa30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a3d407e0ff54b2646c0db730010fa30">&#9670;&nbsp;</a></span>disks_ud()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbDisk2.Available.disks_ud </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Récolte les enregistrements de niveau supérieur de self.targets. </p>
<dl class="section return"><dt>Renvoie</dt><dd>la liste des objects <a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html" title="une classe pour représenter un disque ou une partition.">uDisk2</a> détectés </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00657">657</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1usbDisk2_1_1Available_a6a3d407e0ff54b2646c0db730010fa30_icgraph.png" border="0" usemap="#classsrc_1_1usbDisk2_1_1Available_a6a3d407e0ff54b2646c0db730010fa30_icgraph" alt=""/></div>
<map name="classsrc_1_1usbDisk2_1_1Available_a6a3d407e0ff54b2646c0db730010fa30_icgraph" id="classsrc_1_1usbDisk2_1_1Available_a6a3d407e0ff54b2646c0db730010fa30_icgraph">
<area shape="rect" title="Récolte les enregistrements de niveau supérieur de self.targets." alt="" coords="292,5,500,32"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1Available.html#aece3fcc8006bd3ecc2ccdb4c570e26aa" title="Fin de l&#39;initialisation." alt="" coords="5,5,244,32"/>
</map>
</div>

</div>
</div>
<a id="a56191bb647d1e1c915304c9b64cac3e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56191bb647d1e1c915304c9b64cac3e4">&#9670;&nbsp;</a></span>finishInit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbDisk2.Available.finishInit </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Fin de l'initialisation. </p>

<p>Réimplémentée dans <a class="el" href="classsrc_1_1ownedUsbDisk_1_1Available.html#aece3fcc8006bd3ecc2ccdb4c570e26aa">src.ownedUsbDisk.Available</a>.</p>

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00601">601</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1usbDisk2_1_1Available_a56191bb647d1e1c915304c9b64cac3e4_cgraph.png" border="0" usemap="#classsrc_1_1usbDisk2_1_1Available_a56191bb647d1e1c915304c9b64cac3e4_cgraph" alt=""/></div>
<map name="classsrc_1_1usbDisk2_1_1Available_a56191bb647d1e1c915304c9b64cac3e4_cgraph" id="classsrc_1_1usbDisk2_1_1Available_a56191bb647d1e1c915304c9b64cac3e4_cgraph">
<area shape="rect" title="Fin de l&#39;initialisation." alt="" coords="5,13,209,39"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1Available.html#ac939942256255af8fff9a5e3ed280a5e" title=" " alt="" coords="257,5,449,47"/>
</map>
</div>

</div>
</div>
<a id="ae6e386eb57b5db8de77ccfa1df79d9e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6e386eb57b5db8de77ccfa1df79d9e9">&#9670;&nbsp;</a></span>getFirstFats()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbDisk2.Available.getFirstFats </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00734">734</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1usbDisk2_1_1Available_ae6e386eb57b5db8de77ccfa1df79d9e9_icgraph.png" border="0" usemap="#classsrc_1_1usbDisk2_1_1Available_ae6e386eb57b5db8de77ccfa1df79d9e9_icgraph" alt=""/></div>
<map name="classsrc_1_1usbDisk2_1_1Available_ae6e386eb57b5db8de77ccfa1df79d9e9_icgraph" id="classsrc_1_1usbDisk2_1_1Available_ae6e386eb57b5db8de77ccfa1df79d9e9_icgraph">
<area shape="rect" title=" " alt="" coords="292,5,467,47"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1Available.html#aece3fcc8006bd3ecc2ccdb4c570e26aa" title="Fin de l&#39;initialisation." alt="" coords="5,13,244,39"/>
</map>
</div>

</div>
</div>
<a id="ab9d1cbd2e3bbae20d7276d320d114f92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab9d1cbd2e3bbae20d7276d320d114f92">&#9670;&nbsp;</a></span>hasDev()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbDisk2.Available.hasDev </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>dev</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">dev</td><td>un chemin comme /org/freedesktop/UDisks/devices/sdb3 </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>True si la partition est dans la liste des partions disponibles </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00750">750</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<a id="ac939942256255af8fff9a5e3ed280a5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac939942256255af8fff9a5e3ed280a5e">&#9670;&nbsp;</a></span>mountFirstFats()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbDisk2.Available.mountFirstFats </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00608">608</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1usbDisk2_1_1Available_ac939942256255af8fff9a5e3ed280a5e_icgraph.png" border="0" usemap="#classsrc_1_1usbDisk2_1_1Available_ac939942256255af8fff9a5e3ed280a5e_icgraph" alt=""/></div>
<map name="classsrc_1_1usbDisk2_1_1Available_ac939942256255af8fff9a5e3ed280a5e_icgraph" id="classsrc_1_1usbDisk2_1_1Available_ac939942256255af8fff9a5e3ed280a5e_icgraph">
<area shape="rect" title=" " alt="" coords="292,23,484,65"/>
<area shape="rect" href="classsrc_1_1ownedUsbDisk_1_1Available.html#aece3fcc8006bd3ecc2ccdb4c570e26aa" title="Fin de l&#39;initialisation." alt="" coords="5,5,244,32"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1Available.html#a56191bb647d1e1c915304c9b64cac3e4" title="Fin de l&#39;initialisation." alt="" coords="23,56,227,83"/>
</map>
</div>

</div>
</div>
<a id="a3145b86aaaae5a3bd6f786729d792192"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3145b86aaaae5a3bd6f786729d792192">&#9670;&nbsp;</a></span>parts()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbDisk2.Available.parts </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>d</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Récolte les partitions d'un disque. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">d</td><td>le chemin vers un disque </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>la liste des partitions de ce disque </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00650">650</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1usbDisk2_1_1Available_a3145b86aaaae5a3bd6f786729d792192_icgraph.png" border="0" usemap="#classsrc_1_1usbDisk2_1_1Available_a3145b86aaaae5a3bd6f786729d792192_icgraph" alt=""/></div>
<map name="classsrc_1_1usbDisk2_1_1Available_a3145b86aaaae5a3bd6f786729d792192_icgraph" id="classsrc_1_1usbDisk2_1_1Available_a3145b86aaaae5a3bd6f786729d792192_icgraph">
<area shape="rect" title="Récolte les partitions d&#39;un disque." alt="" coords="517,42,703,69"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1Available.html#acce0e3933b5fff3e8e089b653735427c" title="Fournit une représentation imprimable." alt="" coords="287,5,443,47"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1Available.html#a9fae76b069a7c94a1ce4f39dcd22507c" title="Fournit une représentation imprimable d&#39;un résumé" alt="" coords="260,71,469,98"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1Available.html#a4e2604553359b5adffe7673dbdadabbb" title=" " alt="" coords="5,71,212,98"/>
</map>
</div>

</div>
</div>
<a id="adf09df31224571321936eb2c4ec8aaa7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf09df31224571321936eb2c4ec8aaa7">&#9670;&nbsp;</a></span>parts_ud()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbDisk2.Available.parts_ud </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>d</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Récolte les partitions d'un disque. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">d</td><td>le chemin vers un disque </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>la liste des objets <a class="el" href="classsrc_1_1usbDisk2_1_1uDisk2.html" title="une classe pour représenter un disque ou une partition.">uDisk2</a> qui sont des partitions de ce disque </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00666">666</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<a id="a9fae76b069a7c94a1ce4f39dcd22507c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9fae76b069a7c94a1ce4f39dcd22507c">&#9670;&nbsp;</a></span>summary()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.usbDisk2.Available.summary </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Fournit une représentation imprimable d'un résumé </p>
<dl class="section return"><dt>Renvoie</dt><dd>une représentation imprimable d'un résumé de la collection </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00673">673</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1usbDisk2_1_1Available_a9fae76b069a7c94a1ce4f39dcd22507c_cgraph.png" border="0" usemap="#classsrc_1_1usbDisk2_1_1Available_a9fae76b069a7c94a1ce4f39dcd22507c_cgraph" alt=""/></div>
<map name="classsrc_1_1usbDisk2_1_1Available_a9fae76b069a7c94a1ce4f39dcd22507c_cgraph" id="classsrc_1_1usbDisk2_1_1Available_a9fae76b069a7c94a1ce4f39dcd22507c_cgraph">
<area shape="rect" title="Fournit une représentation imprimable d&#39;un résumé" alt="" coords="5,31,215,57"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1Available.html#a5eb96b19f57e0125fce6a3c243d286c3" title="Récolte les enregistrements de niveau supérieur de self.targets." alt="" coords="263,5,449,32"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1Available.html#a3145b86aaaae5a3bd6f786729d792192" title="Récolte les partitions d&#39;un disque." alt="" coords="263,56,449,83"/>
</map>
</div>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1usbDisk2_1_1Available_a9fae76b069a7c94a1ce4f39dcd22507c_icgraph.png" border="0" usemap="#classsrc_1_1usbDisk2_1_1Available_a9fae76b069a7c94a1ce4f39dcd22507c_icgraph" alt=""/></div>
<map name="classsrc_1_1usbDisk2_1_1Available_a9fae76b069a7c94a1ce4f39dcd22507c_icgraph" id="classsrc_1_1usbDisk2_1_1Available_a9fae76b069a7c94a1ce4f39dcd22507c_icgraph">
<area shape="rect" title="Fournit une représentation imprimable d&#39;un résumé" alt="" coords="260,5,469,32"/>
<area shape="rect" href="classsrc_1_1usbDisk2_1_1Available.html#a4e2604553359b5adffe7673dbdadabbb" title=" " alt="" coords="5,5,212,32"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Documentation des données membres</h2>
<a id="a506790138548ca49d081a2ec7fe81f93"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a506790138548ca49d081a2ec7fe81f93">&#9670;&nbsp;</a></span>access</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.usbDisk2.Available.access</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00594">594</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<a id="a92db2421c2d36d7be7604c93571586d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92db2421c2d36d7be7604c93571586d4">&#9670;&nbsp;</a></span>firstFats</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.usbDisk2.Available.firstFats</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="usbDisk2_8py_source.html#l00609">609</a> du fichier <a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a>.</p>

</div>
</div>
<hr/>La documentation de cette classe a été générée à partir du fichier suivant :<ul>
<li>src/<a class="el" href="usbDisk2_8py_source.html">usbDisk2.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacesrc.html">src</a></li><li class="navelem"><a class="el" href="namespacesrc_1_1usbDisk2.html">usbDisk2</a></li><li class="navelem"><a class="el" href="classsrc_1_1usbDisk2_1_1Available.html">Available</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
